Name:       python-colorclass
Version:    2.2.0
Release:    %mkrel 3
Summary:    Python 2 and 3 compatibility utilities
Group:      Development/Python
License:    MIT
URL:        http://pypi.python.org/pypi/colorclass/
Source0:    http://pypi.python.org/packages/source/c/colorclass/colorclass-%{version}.tar.gz
BuildArch:  noarch
# For use by selftests:

%description
python-colorclass provides a colorful worry-free console applications
Python 2 and Python 3.

%package -n python3-colorclass
BuildRequires: python3-devel
BuildRequires: python3-setuptools
Summary: %{summary} / Python 3 library

%description -n python3-colorclass
python-colorclass provides a colorful worry-free console applications
Python 2 and Python 3.

%prep
%setup -q -n colorclass-%{version}

%build
%py3_build

%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

%files -n python3-colorclass
%doc README.rst
%{python3_sitelib}/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.2.0-3.mga8
+ Revision: 1535548
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 2.2.0-2.mga8
+ Revision: 1452156
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 2.2.0-1.mga7
+ Revision: 1352276
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.2.0-5.mga7
+ Revision: 1288432
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.2.0-4.mga7
+ Revision: 1135345
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.2.0-3.mga6
+ Revision: 971080
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.2.0-2.mga6
+ Revision: 889179
- rebuild for python 3.5

* Sat Aug 22 2015 bcornec <bcornec> 1.2.0-1.mga6
+ Revision: 867979
- Update again deps for python-colorclass
- Improve deps for python-colorclass
- Improve deps for python-colorclass
- Import python colorclass
- Created package structure for python-colorclass.

